sundials-config(1)

NAME
sundials-config - returns required flags for linking to SUNDIALS libraries

SYNOPSIS

sundials-config -m {cvode|cvodes|ida|kinsol} -t {s|p} -l {c|f} [-s {libs|cppflags}] [-hv]

DESCRIPTION
sundials-config provides a way to obtain various configuration options for compiling programs that use SUNDIALS

OPTIONS

-m {cvode|cvodes|ida|kinsol}
    Select the SUNDIALS module

-t {s|p}
    Use serial of parallel vectors

-l {c|f}
    Use C or Fortran

-s {libs|cppflags}
    Show linking flags or C preprocessor flags (show both of no option is given)

-h  Get usage and options information

-v  View the script

NOTES

-lf is not valid for -m cvodes

-s cppflags
    returns an empty string for -l f

AUTHOR
Radu Serban <radu@llnl.gov>

This manual page was written by Andrey Romanenko for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

SEE ALSO
SUNDIALS Documentation